LotusGraphInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
LotusGraphInternal::State Struct Reference

the state of LotusGraph More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_version
| the file version
int | m_actualSheetId
| the actual sheet id
std::multimap< int, std::shared_ptr< ZoneMac > > | m_sheetIdZoneMacMap
| a map sheetid to zone
std::shared_ptr< ZoneMac > | m_actualZoneMac
| a pointer to the actual zone
std::multimap< int, std::shared_ptr< ZoneWK4 > > | m_sheetIdZoneWK4Map
| a map sheetid to zone
std::shared_ptr< ZoneWK4 > | m_actualZoneWK4
| a pointer to the actual zone
std::map< int, ZonePcList > | m_sheetIdZonePcListMap
| a map sheetid to zone
std::shared_ptr< ZonePc > | m_actualZonePc
| a pointer to the actual zone
std::map< int, int > | m_zIdToSheetIdMap
| a map sheet zone id to final sheet id map
std::map< std::string, int > | m_nameToChartIdMap
| a map chart name to id chart map

## Detailed Description

the state of LotusGraph

## Constructor & Destructor Documentation

## ◆ State()

LotusGraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actualSheetId

int LotusGraphInternal::State::m_actualSheetId

the actual sheet id

Referenced by State().

## ◆ m_actualZoneMac

std::shared_ptr<ZoneMac> LotusGraphInternal::State::m_actualZoneMac

a pointer to the actual zone

Referenced by State().

## ◆ m_actualZonePc

std::shared_ptr<ZonePc> LotusGraphInternal::State::m_actualZonePc

a pointer to the actual zone

Referenced by State().

## ◆ m_actualZoneWK4

std::shared_ptr<ZoneWK4> LotusGraphInternal::State::m_actualZoneWK4

a pointer to the actual zone

Referenced by State().

## ◆ m_nameToChartIdMap

std::map<std::string,int> LotusGraphInternal::State::m_nameToChartIdMap

a map chart name to id chart map

Referenced by State().

## ◆ m_sheetIdZoneMacMap

std::multimap<int, std::shared_ptr<ZoneMac> > LotusGraphInternal::State::m_sheetIdZoneMacMap

a map sheetid to zone

Referenced by State().

## ◆ m_sheetIdZonePcListMap

std::map<int, ZonePcList> LotusGraphInternal::State::m_sheetIdZonePcListMap

a map sheetid to zone

Referenced by State().

## ◆ m_sheetIdZoneWK4Map

std::multimap<int, std::shared_ptr<ZoneWK4> > LotusGraphInternal::State::m_sheetIdZoneWK4Map

a map sheetid to zone

Referenced by State().

## ◆ m_version

int LotusGraphInternal::State::m_version

the file version

Referenced by State().

## ◆ m_zIdToSheetIdMap

std::map<int,int> LotusGraphInternal::State::m_zIdToSheetIdMap

a map sheet zone id to final sheet id map

Referenced by State().

The documentation for this struct was generated from the following file:

- LotusGraph.cpp